### gcore ¶

    gcore [-a] [-o prefix] pid1 [pid2...pidN]

Generate core dumps of one or more running programs with process IDs pid1, pid2, etc. A core file produced by `gcore` is equivalent to one produced by the kernel when the process crashes (and when `ulimit -c` was used to set up an appropriate core dump limit). However, unlike after a crash, after `gcore` finishes its job the program remains running without any change.

`-a`

  Dump all memory mappings. The actual effect of this option depends on the Operating System. On GNU/Linux, it will disable `use-coredump-filter` (see set use-coredump-filter) and enable `dump-excluded-mappings` (see set dump-excluded-mappings).

`-o prefix`

  The optional argument prefix specifies the prefix to be used when composing the file names of the core dumps. The file name is composed as `prefix.pid`, where pid is the process ID of the running program being analyzed by `gcore`. If not specified, prefix defaults to gcore.